aboutsummaryrefslogtreecommitdiff
path: root/i18n/fr_FR/resources/scripts/misc/powertop.trisquel7
diff options
context:
space:
mode:
authorLibreboot Contributor <contributor@libreboot.org>2020-03-18 17:20:14 +0100
committerLibreboot Contributor <contributor@libreboot.org>2020-03-18 17:20:27 +0100
commit0f6ea1c9e0a25a9b7546f96f27cef8841f0d09b5 (patch)
treea28b9403123dd6204eb2dd8cb44eada12c169f4b /i18n/fr_FR/resources/scripts/misc/powertop.trisquel7
parent6e5bdd1271059a9c61c80b21001fd3d14ff25045 (diff)
downloadlibrebootfr-0f6ea1c9e0a25a9b7546f96f27cef8841f0d09b5.tar.gz
librebootfr-0f6ea1c9e0a25a9b7546f96f27cef8841f0d09b5.zip
Creation of i18n folder containing translations of the libreboot project. Added french one, not finished.
Diffstat (limited to 'i18n/fr_FR/resources/scripts/misc/powertop.trisquel7')
-rwxr-xr-xi18n/fr_FR/resources/scripts/misc/powertop.trisquel750
1 files changed, 50 insertions, 0 deletions
diff --git a/i18n/fr_FR/resources/scripts/misc/powertop.trisquel7 b/i18n/fr_FR/resources/scripts/misc/powertop.trisquel7
new file mode 100755
index 00000000..cfce8f77
--- /dev/null
+++ b/i18n/fr_FR/resources/scripts/misc/powertop.trisquel7
@@ -0,0 +1,50 @@
+#!/usr/bin/env bash
+
+# powertop.trisquel7: automatically sets up powertop --auto-tune on startup in trisquel 7
+#
+# Copyright (C) 2014, 2015 Leah Rowe <info@minifree.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -u -e
+
+if [ $EUID -ne 0 ]; then
+ printf "This script must be run as root\n"
+ exit 1
+fi
+
+# For Trisquel 7 users.
+
+apt-get -y install powertop
+
+# Remove startup symlink if it exists
+update-rc.d powertop remove
+# Remove previous file if it exists
+rm -Rf "/etc/init.d/powertop"
+
+# write the correct commands there:
+printf "#!/bin/sh\n" > "/etc/init.d/powertop"
+printf "/usr/sbin/powertop --auto-tune\n" >> "/etc/init.d/powertop"
+
+# make it executable:
+chmod +x "/etc/init.d/powertop"
+
+# Add the service to make it run automatically at boot time:
+update-rc.d powertop defaults
+
+# Run powertop now and tell the user
+powertop --auto-tune
+printf "Done. Run 'powertop --auto-tune' now. This will also run automatically at boot time. Run it again at any time, if needed. This has also been done for you just now.\n"